<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
{
    "systemid":"${sys.codeName}",
    "systemname":"${sys.getLogicName()}",
    "entities":[
    <#if sys.getAllPSDataEntities()??>
        <#list sys.getAllPSDataEntities() as de>
    {
    "entity_name":"${de.name}",
    "logicname":"${de.logicName}",
    "code_name":"${de.codeName}",
    "table_name":"${de.getTableName()}",
    "system_id":"${sys.codeName}",
    "system_name":"${sys.logicName}",
    <#--"ds_id":null,-->
    <#--"ds_name":"",-->
    "fields":[
    <#if de.getPSDEFields()??>
    <#list de.getPSDEFields() as defield>
    {
    "fieldname":"${defield.name}" ,
    "codename":"${defield.codeName}",
    "field_logic_name":"${defield.logicName}",
    "entity_name":"${de.codeName}",
    <#if defield.getRelatedPSDEField?? && defield.getRelatedPSDEField()??>
    "ref_field_name":"${defield.getRelatedPSDEField().codeName}",
    </#if>
    <#if (((defield.getDataType())!'')=='PICKUP' || ((defield.getDataType())!'')=='PICKUPDATA' )&& defield.getPSDER1N()?? >
    "relation_name":"${defield.getPSDER1N().getName()}",
    </#if>
    "field_type":"${srfr7javatype(defield.getStdDataType())}",
    <#if defield.getPSCodeList()??>
    "dict":"${defield.getPSCodeList().codeName}",
    </#if>
    "nullable":<#if defield.isAllowEmpty()>1<#else>0</#if>,
    "physical_field":<#if defield.isPhisicalDEField()>1<#else>0</#if>,
    "data_type":"${srfdatatype(defield.getStdDataType())}",
    "data_length":<#if defield.getLength()?c!='-1'>${defield.getLength()?c}<#else>null</#if>,
    "data_preci":${defield.getPrecision()?c},
    "expression":"",
    <#if defield.getPredefinedType()??>
    "predefined":"${defield.getPredefinedType()}",
    </#if>
    "key_field":<#if defield.isKeyDEField()==true>1<#else>0</#if>,
    <#if defield.getUnionKeyValue()?? && defield.getUnionKeyValue()!=''>
    "union_key":"${defield.getUnionKeyValue()}",
    </#if>
    "major_field":<#if defield.isMajorDEField()==true>1<#else>0</#if>
    }<#if defield_has_next>,</#if>
    </#list>
    </#if>
    ],
    "subEntitys":[
    <#if de.getMinorPSDERs()??>
    <#list de.getMajorPSDERs() as majorPSDER>
    {"name":"${majorPSDER.name}",
     "relation_type":"${majorPSDER.getDERType()}",
     "code_name":"${majorPSDER.getCodeName()}",
     "entity_name":"${majorPSDER.getMajorPSDataEntity().name}",
     "ref_entity_name":"${majorPSDER.getMinorPSDataEntity().name}"
     <#--"nested_name":"",-->
     <#--"lookup":""-->
    }<#if majorPSDER_has_next>,</#if>
    </#list>
    </#if>
    ],
    "parentEntitys":[
    <#if de.getMinorPSDERs()??>
        <#list de.getMinorPSDERs() as minorPSDER>
    {"name":"${minorPSDER.name}",
     "relation_type":"${minorPSDER.getDERType()}",
     "code_name":"${minorPSDER.getCodeName()}",
     "entity_name":"${minorPSDER.getMajorPSDataEntity().name}",
     "ref_entity_name":"${minorPSDER.getMinorPSDataEntity().name}"
     <#--"nested_name":"",-->
     <#--"lookup":""-->
    }<#if minorPSDER_has_next>,</#if>
        </#list>
    </#if>
    ]
 }
    <#if de_has_next>,</#if>
        </#list>
    </#if>
    ]
}
